Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.types
Class StringToStringMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.lang.String>
              com.eviware.soapui.support.types.StringToStringMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.String>

    public class StringToStringMap

extends java.util.HashMap<java.lang.String,java.lang.String>

HashMap<String,String>

Author:
  Ole.Matzura
See Also:
  Serialized Form

Constructor Summary
`StringToStringMap()`
`StringToStringMap(int initialCapacity)`
`StringToStringMap(int initialCapacity, float loadFactor)`
`StringToStringMap(java.util.Map<? extends java.lang.String,? extends java.lang.String> m)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`static StringToStringMap` | `fromHttpHeader(java.lang.String value)`
`static StringToStringMap` | `fromXml(java.lang.String value)`
`java.lang.String` | `get(java.lang.String key, java.lang.String defaultValue)`
`boolean` | `getBoolean(java.lang.String key)`
`boolean` | `hasValue(java.lang.String key)`
`void` | `put(java.lang.String key, boolean value)`
`void` | `putIfMissing(java.lang.String key, java.lang.String value)`
`void` | `setEqualsOnThis(boolean equalsOnThis)`
`java.lang.String` | `toXml()`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`hashCode`

Constructor Detail

### StringToStringMap

    public StringToStringMap()

### StringToStringMap

    public StringToStringMap(int initialCapacity,
                             float loadFactor)

### StringToStringMap

    public StringToStringMap(int initialCapacity)

### StringToStringMap

    public StringToStringMap(java.util.Map<? extends java.lang.String,? extends java.lang.String> m)

Method Detail

### get

    public java.lang.String get(java.lang.String key,
                                java.lang.String defaultValue)

### toXml

    public java.lang.String toXml()

### fromXml

    public static StringToStringMap fromXml(java.lang.String value)

### getBoolean

    public final boolean getBoolean(java.lang.String key)

### hasValue

    public boolean hasValue(java.lang.String key)

### putIfMissing

    public void putIfMissing(java.lang.String key,
                             java.lang.String value)

### put

    public void put(java.lang.String key,
                    boolean value)

### fromHttpHeader

    public static StringToStringMap fromHttpHeader(java.lang.String value)

### setEqualsOnThis

    public void setEqualsOnThis(boolean equalsOnThis)

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Map<java.lang.String,java.lang.String>`
  Overrides:
    `equals` in class `java.util.AbstractMap<java.lang.String,java.lang.String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.